Skip to main content
POST
/
v1
/
namespaces
/
{tenant_meta.namespace}
/
batch
/
notifications
CreateBatchNotification
curl --request POST \
  --url https://api.endorlabs.com/v1/namespaces/{tenant_meta.namespace}/batch/notifications \
  --header 'Content-Type: application/json' \
  --data '
{
  "meta": {
    "name": "<string>",
    "annotations": {},
    "description": "<string>",
    "index_data": {},
    "parent_kind": "<string>",
    "parent_uuid": "<string>",
    "tags": [
      "<string>"
    ]
  },
  "spec": {
    "finding_uuids": [
      "<string>"
    ],
    "notification_target_uuid": "<string>",
    "notifications": [
      {
        "meta": {
          "name": "<string>",
          "annotations": {},
          "description": "<string>",
          "index_data": {},
          "parent_kind": "<string>",
          "parent_uuid": "<string>",
          "tags": [
            "<string>"
          ]
        },
        "spec": {
          "project_uuid": "<string>",
          "state": "NOTIFICATION_STATE_UNSPECIFIED",
          "aggregation_details": {
            "aggregation_target_name": "<string>",
            "aggregation_type": "AGGREGATION_TYPE_UNSPECIFIED",
            "pkg_version_name": "<string>",
            "pkg_version_uuid": "<string>"
          },
          "diff": {
            "new_finding_uuids": [
              "<string>"
            ],
            "resolved_finding_uuids": [
              "<string>"
            ]
          },
          "dismiss": {
            "category": "NOTIFICATION_DISMISS_CATEGORY_UNSPECIFIED",
            "comment": "<string>",
            "time": "2023-11-07T05:31:56Z"
          },
          "finding_details": {},
          "last_seen_at": "2023-11-07T05:31:56Z",
          "notification_action_data": {},
          "notification_external_ids": [
            "<string>"
          ],
          "payload": {
            "policy_output": {
              "allow": true,
              "raw": [
                {}
              ],
              "violating_resources": {}
            }
          },
          "policy_type": "POLICY_TYPE_UNSPECIFIED",
          "policy_uuid": "<string>",
          "remediation_parameters": {
            "automated_pr_parameters": {
              "language_parameters": {},
              "max_open_prs": 123
            }
          },
          "repository_version_uuid": "<string>",
          "resolved_at": "2023-11-07T05:31:56Z"
        },
        "context": {
          "id": "<string>",
          "type": "CONTEXT_TYPE_UNSPECIFIED",
          "tags": [
            "<string>"
          ]
        },
        "tenant_meta": {
          "namespace": "<string>"
        }
      }
    ]
  },
  "tenant_meta": {}
}
'
{
  "meta": {
    "name": "<string>",
    "annotations": {},
    "create_time": "2023-11-07T05:31:56Z",
    "created_by": "<string>",
    "description": "<string>",
    "index_data": {
      "data": [
        "<string>"
      ],
      "search_score": 123,
      "tenant": "<string>",
      "will_be_deleted_at": "2023-11-07T05:31:56Z"
    },
    "kind": "<string>",
    "parent_kind": "<string>",
    "parent_uuid": "<string>",
    "references": {},
    "tags": [
      "<string>"
    ],
    "update_time": "2023-11-07T05:31:56Z",
    "updated_by": "<string>",
    "upsert_time": "2023-11-07T05:31:56Z",
    "version": "<string>"
  },
  "spec": {
    "finding_uuids": [
      "<string>"
    ],
    "notification_target_uuid": "<string>",
    "notifications": [
      {
        "meta": {
          "name": "<string>",
          "annotations": {},
          "create_time": "2023-11-07T05:31:56Z",
          "created_by": "<string>",
          "description": "<string>",
          "index_data": {
            "data": [
              "<string>"
            ],
            "search_score": 123,
            "tenant": "<string>",
            "will_be_deleted_at": "2023-11-07T05:31:56Z"
          },
          "kind": "<string>",
          "parent_kind": "<string>",
          "parent_uuid": "<string>",
          "references": {},
          "tags": [
            "<string>"
          ],
          "update_time": "2023-11-07T05:31:56Z",
          "updated_by": "<string>",
          "upsert_time": "2023-11-07T05:31:56Z",
          "version": "<string>"
        },
        "spec": {
          "project_uuid": "<string>",
          "state": "NOTIFICATION_STATE_UNSPECIFIED",
          "aggregation_details": {
            "aggregation_target_name": "<string>",
            "aggregation_type": "AGGREGATION_TYPE_UNSPECIFIED",
            "pkg_version_name": "<string>",
            "pkg_version_uuid": "<string>"
          },
          "diff": {
            "new_finding_uuids": [
              "<string>"
            ],
            "resolved_finding_uuids": [
              "<string>"
            ]
          },
          "dismiss": {
            "category": "NOTIFICATION_DISMISS_CATEGORY_UNSPECIFIED",
            "comment": "<string>",
            "time": "2023-11-07T05:31:56Z"
          },
          "finding_details": {},
          "hashsum": "<string>",
          "last_seen_at": "2023-11-07T05:31:56Z",
          "notification_action_data": {},
          "notification_external_ids": [
            "<string>"
          ],
          "payload": {
            "policy_output": {
              "allow": true,
              "raw": [
                {}
              ],
              "violating_resources": {}
            }
          },
          "policy_type": "POLICY_TYPE_UNSPECIFIED",
          "policy_uuid": "<string>",
          "remediation_parameters": {
            "automated_pr_parameters": {
              "language_parameters": {},
              "max_open_prs": 123
            }
          },
          "repository_version_uuid": "<string>",
          "resolved_at": "2023-11-07T05:31:56Z"
        },
        "context": {
          "id": "<string>",
          "type": "CONTEXT_TYPE_UNSPECIFIED",
          "tags": [
            "<string>"
          ],
          "will_be_deleted_at": "2023-11-07T05:31:56Z"
        },
        "tenant_meta": {
          "namespace": "<string>"
        },
        "uuid": "<string>"
      }
    ]
  },
  "tenant_meta": {
    "namespace": "<string>"
  },
  "uuid": "<string>"
}

Path Parameters

tenant_meta.namespace
string
required

Namespaces are a way to organize organizational units into virtual groupings of resources. Namespaces must be a fully qualified name, for example, the child namespace of namespace "endor.prod" called "app" is called "endor.prod.app".

Body

application/json

Request to create multiple Notification objects.

meta
object

Common fields for all Endor Labs resources.

spec
object

BatchNotification specific data.

tenant_meta
Information about the tenant. · object

Information about the tenant.

Response

A successful response.

Request to create multiple Notification objects.

meta
object

Common fields for all Endor Labs resources.

spec
object

BatchNotification specific data.

tenant_meta
object

Tenant related data for the tenant containing the resource.

uuid
string